[arch-commits] Commit in glibc/trunk (PKGBUILD)

Frederik Schwan freswa at gemini.archlinux.org
Sun Feb 20 23:16:13 UTC 2022


    Date: Sunday, February 20, 2022 @ 23:16:12
  Author: freswa
Revision: 437826

fix stripping of libraries creds @Toolybird

"Previously, glibc installed its various shared objects under versioned
file names such as libc-2.33.so. The ABI sonames (e.g., libc.so.6)
were provided as symbolic links. Starting with glibc 2.34, the shared
objects are installed under their ABI sonames directly, without
symbolic links."

Modified:
  glibc/trunk/PKGBUILD

----------+
 PKGBUILD |   20 ++++++++++----------
 1 file changed, 10 insertions(+), 10 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2022-02-20 23:11:40 UTC (rev 437825)
+++ PKGBUILD	2022-02-20 23:16:12 UTC (rev 437826)
@@ -193,11 +193,11 @@
 
     # Do not strip these for gdb and valgrind functionality, but strip the rest
     find "$pkgdir"/usr/lib \
-      -not -name 'ld-*.so' \
-      -not -name 'libc-*.so' \
-      -not -name 'libpthread-*.so' \
-      -not -name 'libthread_db-*.so' \
-      -name '*-*.so' -type f -exec strip $STRIP_SHARED {} + 2> /dev/null || true
+      -not -name 'ld-*.so*' \
+      -not -name 'libc.so*' \
+      -not -name 'libpthread.so*' \
+      -not -name 'libthread_db.so*' \
+      -name '*.so*' -type f -exec strip $STRIP_SHARED {} + 2> /dev/null || true
   fi
 
   # Provide tracing probes to libstdc++ for exceptions, possibly for other
@@ -235,11 +235,11 @@
   if check_option 'debug' n; then
     find "$pkgdir"/usr/lib32 -name '*.a' -type f -exec strip $STRIP_STATIC {} + 2> /dev/null || true
     find "$pkgdir"/usr/lib32 \
-      -not -name 'ld-*.so' \
-      -not -name 'libc-*.so' \
-      -not -name 'libpthread-*.so' \
-      -not -name 'libthread_db-*.so' \
-      -name '*-*.so' -type f -exec strip $STRIP_SHARED {} + 2> /dev/null || true
+      -not -name 'ld-*.so*' \
+      -not -name 'libc.so*' \
+      -not -name 'libpthread.so*' \
+      -not -name 'libthread_db.so*' \
+      -name '*.so*' -type f -exec strip $STRIP_SHARED {} + 2> /dev/null || true
   fi
 
   # Provided by lib32-libxcrypt; keep the old shared library for backwards compatibility



More information about the arch-commits mailing list